kr.co.hanwha.hifive.screen.main.project

## Interface MainProjectContract.View

- All Superinterfaces:
    BaseView<MainHomeContract.Presenter>
  All Known Implementing Classes:
    MainProjectFragment
  Enclosing interface:
    MainProjectContract

      public static interface MainProjectContract.View
      extends BaseView<MainHomeContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBackgroundView(boolean visible)` 자연스러운 화면 전환을 위해 흰 배경 처리
    `void` | `setEmptyView(boolean empty)` 소속된 유닛이 없을 경우
    `void` | `setProjectId(int projectId)`
    `void` | `setRefreshing(boolean refreshing)`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Method Detail

    - #### setRefreshing

          void setRefreshing(boolean refreshing)

    - #### setProjectId

          void setProjectId(int projectId)

    - #### setEmptyView

          void setEmptyView(boolean empty)

      소속된 유닛이 없을 경우
      Parameters:
        `empty` - Boolean

    - #### setBackgroundView

          void setBackgroundView(boolean visible)

      자연스러운 화면 전환을 위해 흰 배경 처리
      Parameters:
        `visible` - Boolean